Subject: bug#45012: 27.1.50; Emacs 27.1 release archive missing emacs-module.h

From: Eli Zaretskii <[email-masked]>
Date: Sat, 12 Dec 2020 20:57:26 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sat, 12 Dec 2020 15:55:46 +0100
> Cc: [email-masked]
> 
> Quoting the commit message, the only reason given for not including
> emacs-module.h is "it's too much hassle", without any explanation what
> this "hassle" consists in and why it is "too much". (The release
> tarball also includes .elc files, and those are a much bigger hassle
> to build.) Rather, this decision shifts the hassle to the users.

Emacs is not the only package that needs to be built to have the
header files needed to build software against it.  Many libraries put
their users through the same "hassles", so it isn't like Emacs is the
odd one out here.